//ABOE scripts | All Rights Reserved unless otherwise explicitly stated.
//
//Information.
//This removes the crafting recipes for problematic items.
//
//Scripted by Peter.
//Last edited by Peter 09.04.2022 (EU date format) (Initial version)
//Last edited by <name> <date> (EU date format) (Changelog).

//Remove worldgen features

onEvent('worldgen.remove', event => {

	//Remove Allthemodium ores

	event.removeOres(ores => {
		ores.blocks = [ 
		'allthemodium:allthemodium_ore',
		'allthemodium:unobtainium_ore',
		'allthemodium:vibranium_ore'
		]
	
	})

	event.removeFeatureById('underground_ores', 'allthemodium:allthemodium_ore')
	event.removeFeatureById('underground_ores', 'allthemodium:unobtanium_ore')
	event.removeFeatureById('underground_ores', 'allthemodium:vibranium_ore')
	event.removeFeatureById('raw_generation', 'allthemodium:allthemodium_ore')
	event.removeFeatureById('raw_generation', 'allthemodium:unobtanium_ore')
	event.removeFeatureById('raw_generation', 'allthemodium:vibranium_ore')
	
})